
Figure - Bug #118287
【IOVDEV-30595】【内部】【VC1】【0100】【台架】【EE环境】【副屏】【设置】标记优先对话失败
2023-05-26 19:56 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-26

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0082.C101��【副屏版本号】：01.00.0100.c103

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-27

Test Type: ST Root cause: 功能及三方应用问题。

Description

环境信息】EE环境

【问题出现时间】：20230525 17：26

【前提条件】：副屏上电，中控已连接

【操作步骤】

1.收到企微消息后

2.屏幕顶部下滑打开通知栏

3.长按要更改的对话

【实际结果】

1.标记优先对话失败

【期望结果】

1.可以进行标记优先对话

【备注】：

【当前开机次数】：127

【应用版本】：

【硬件版本号】：

VIN:HRYTTESTVINMGM401

【中控版本号】：03.02.0082.C101

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-05-26 19:57 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118287

#2 - 2023-05-27 14:21 - CD FW-廖涛

■ Current conclusion

对话优先级及对话泡是 Android 11 及之后的系统新特性，需要第三方应用适配系统 API，如果没有适配，则无法体现这两个功能，通过对比发现，国内

的应用基本都没有适配该功能，且副屏设备的通知是禁用了长按功能的，所以经过讨论评估，直接去掉对话这个功能。
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118287


参考：

https://www.a7la-home.com/zh-CN/how-to-set-conversations-priority-in-android

https://developer.android.google.cn/codelabs/android-people?hl=zh-cn#0

■ Next action

禁用 设置 中的对话功能。

#3 - 2023-05-27 16:32 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

203056 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Disable conversation entry and search.TC-RID: 1201-0201803IssueID: TS-R-BUG-118287Change-Id:

Iea525f499d6d09ea16b2da8c6ed30a770b526370

#4 - 2023-05-27 16:33 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-27

- Root cause set to 功能及三方应用问题。

■ Current conclusion

已处理，代码已入库。

■ My analysis

禁用 对话 相关功能。

■ Next action

测试验证。

#5 - 2023-05-31 20:26 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#6 - 2023-05-31 20:26 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

IOVDEV-30595.zip 4.62 MB 2023-05-26 CDTS_Test 吴诗雨
